device_type: de0-nano-soc
job_name: de0-nano-soc healthcheck
timeouts:
  job:
    minutes: 20
  action:
    minutes: 20
  connection:
    minutes: 20
priority: medium
visibility: public

# ACTION_BLOCK
actions:
- deploy:
    timeout:
      minutes: 5
    to: u-boot-ums
    os: oe
    image:
      url: http://<IP>/<abc>-de0-nano-soc.wic.img
      compression: gz
      root_partition: 1
# BOOT_BLOCK
- boot:
    auto_login:
      login_prompt: '<abc> login:'
      username: root
      password_prompt: 'Password:'
      password: root
    prompts:
      - 'root@<abc>:~#'
    method: u-boot
    commands: ums
    timeout:
      minutes: 20
# TEST_BLOCK
- test:
    timeout:
      minutes: 5
    definitions:
    - repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: kernel-version-basic
          description: "check kernel version"
          os:
            - oe
          scope:
            - functional
        run:
          steps:
            - lava-test-case uname --shell uname -a
      from: inline
      name: kernel-version-inline
      path: inline/kernel-version-basic.yaml
 
